# H248_StreamDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_StreamDescriptor:

List of all members.

## Public Member Functions

| H248_StreamDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_StreamID | m_streamID
H248_StreamParms | m_streamParms

## Constructor & Destructor Documentation

H248_StreamDescriptor::H248_StreamDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_StreamDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_StreamDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_StreamDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_StreamDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_StreamDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_StreamDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_StreamID H248_StreamDescriptor::m_streamID

H248_StreamParms H248_StreamDescriptor::m_streamParms

The documentation for this class was generated from the following file:

- h248.h